Package: java.util

## Interface NavigableSet

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `NavigableSet` | `asChecked(Class type)` Creates a checked view of a NavigableSet.
    `NavigableSet` | `asReversed()` Creates a reverse order view of the set.
    `NavigableSet` | `asSynchronized()` Creates a synchronized view of a NavigableSet.
    `NavigableSet` | `asUnmodifiable()` Creates an unmodifiable view of a NavigableSet.
    `NavigableSet` | `reverseEach(Closure closure)` Iterate over each element of the set in reverse order.

  - #### Methods inherited from interface java.util.SortedSet

    `and`, `and`, `asChecked`, `asImmutable`, `asSynchronized`, `asUnmodifiable`, `drop`, `dropRight`, `dropWhile`, `each`, `eachWithIndex`, `flatten`, `init`, `intersect`, `intersect`, `leftShift`, `minus`, `minus`, `minus`, `or`, `plus`, `plus`, `plus`, `sort`, `tail`, `take`, `takeRight`, `takeWhile`, `toSorted`, `union`, `union`, `xor`, `xor`

  - #### Methods inherited from interface java.util.Set

    `and`, `and`, `asChecked`, `asImmutable`, `asSynchronized`, `asUnmodifiable`, `each`, `eachWithIndex`, `equals`, `findAll`, `findAll`, `flatten`, `grep`, `grep`, `intersect`, `intersect`, `leftShift`, `minus`, `minus`, `minus`, `or`, `plus`, `plus`, `plus`, `split`, `union`, `union`, `xor`, `xor`

  - #### Methods inherited from interface java.util.Collection

    `addAll`, `addAll`, `addAll`, `asBoolean`, `asChecked`, `asImmutable`, `asSynchronized`, `asType`, `asUnmodifiable`, `collectNested`, `each`, `eachWithIndex`, `find`, `find`, `findAll`, `findAll`, `flatten`, `getAt`, `getIndices`, `grep`, `grep`, `intersect`, `intersect`, `isCase`, `isNotCase`, `leftShift`, `minus`, `plus`, `plus`, `plus`, `removeAll`, `removeAll`, `removeElement`, `retainAll`, `retainAll`, `split`, `toListString`, `toListString`, `toSet`, `union`, `union`, `unique`, `unique`, `unique`, `unique`, `unique`, `unique`

  - #### Methods inherited from interface java.lang.Iterable

    `any`, `asCollection`, `asList`, `asType`, `average`, `average`, `bufferedIterator`, `chop`, `chop`, `collate`, `collate`, `collate`, `collate`, `collect`, `collect`, `collect`, `collectEntries`, `collectEntries`, `collectEntries`, `collectEntries`, `collectEntries`, `collectEntries`, `collectMany`, `collectMany`, `collectMany`, `collectNested`, `collectNested`, `combinations`, `combinations`, `contains`, `containsAll`, `count`, `count`, `count`, `countBy`, `countBy`, `disjoint`, `drop`, `dropRight`, `dropWhile`, `each`, `eachCombination`, `eachPermutation`, `eachWithIndex`, `every`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `findResults`, `findResults`, `first`, `flatten`, `flatten`, `flatten`, `flatten`, `flattenMany`, `getAt`, `groupBy`, `groupBy`, `groupBy`, `head`, `indexed`, `indexed`, `init`, `inits`, `inject`, `inject`, `injectAll`, `injectAll`, `interleave`, `interleave`, `intersect`, `intersect`, `intersect`, `isCase`, `isEmpty`, `join`, `join`, `last`, `max`, `max`, `max`, `min`, `min`, `min`, `minus`, `minus`, `minus`, `minus`, `multiply`, `permutations`, `permutations`, `plus`, `plus`, `repeat`, `repeat`, `size`, `sort`, `sort`, `sort`, `sort`, `sort`, `stream`, `sum`, `sum`, `sum`, `sum`, `tail`, `tails`, `take`, `takeRight`, `takeWhile`, `toList`, `toSet`, `toSorted`, `toSorted`, `toSorted`, `toSpreadMap`, `toUnique`, `toUnique`, `toUnique`, `union`, `union`, `union`, `withCollectedKeys`, `withCollectedKeys`, `withCollectedValues`, `withCollectedValues`, `withIndex`, `withIndex`, `zip`, `zipAll`

- - ### Methods Detail

    - #### public NavigableSet asChecked(Class type)

      Creates a checked view of a NavigableSet.

      Parameters:
      Since:
        5.0.0
      See Also:
        Collections#checkedNavigableSet

    - #### public NavigableSet asReversed()

      Creates a reverse order view of the set. The order of original list will not change.

          TreeSet navSet = [2, 4, 1, 3]  // natural order is sorted
          assert navSet.asReversed() == [4, 3, 2, 1] as Set

      Returns:
        the reversed view NavigableSet
      Since:
        4.0.11

    - #### public NavigableSet asSynchronized()

      Creates a synchronized view of a NavigableSet.

      Returns:
        a synchronized NavigableSet
      Since:
        5.0.0
      See Also:
        Collections#synchronizedNavigableSet(java.util.NavigableSet)

    - #### public NavigableSet asUnmodifiable()

      Creates an unmodifiable view of a NavigableSet.

      Returns:
        an unmodifiable view of the NavigableSet
      Since:
        5.0.0
      See Also:
        Collections#unmodifiableNavigableSet(java.util.NavigableSet)
        List#asUnmodifiable()

    - #### public NavigableSet reverseEach(Closure closure)

      Iterate over each element of the set in reverse order.

          TreeSet navSet = [2, 4, 1, 3]  // natural order is sorted
          List result = []
          navSet.reverseEach { result << it }
          assert result == [4, 3, 2, 1]

      Parameters:
        `closure` - a closure to which each item is passed.
      Returns:
        the original NavigableSet
      Since:
        4.0.11